package reparto_mazapa.keymon.lat.designerscripts;
import anywheresoftware.b4a.objects.TextViewWrapper;
import anywheresoftware.b4a.objects.ImageViewWrapper;
import anywheresoftware.b4a.BA;


public class LS_pedido{

public static void LS_general(anywheresoftware.b4a.BA ba, android.view.View parent, anywheresoftware.b4a.keywords.LayoutValues lv, java.util.Map props,
java.util.Map<String, anywheresoftware.b4a.keywords.LayoutBuilder.ViewWrapperAndAnchor> views, int width, int height, float scale) throws Exception {
anywheresoftware.b4a.keywords.LayoutBuilder.setScaleRate(0.3);
//BA.debugLineNum = 2;BA.debugLine="AutoScaleAll 'uncomment to scale all views based on the device physical size."[pedido/General script]
anywheresoftware.b4a.keywords.LayoutBuilder.scaleAll(views);
//BA.debugLineNum = 3;BA.debugLine="i_fotol.SetLeftAndRight(0,100%x)"[pedido/General script]
views.get("i_fotol").vw.setLeft((int)(0d));
views.get("i_fotol").vw.setWidth((int)((100d / 100 * width) - (0d)));
//BA.debugLineNum = 4;BA.debugLine="i_fotol.SetTopAndBottom(0,100%y)"[pedido/General script]
views.get("i_fotol").vw.setTop((int)(0d));
views.get("i_fotol").vw.setHeight((int)((100d / 100 * height) - (0d)));

}
}